{% extends "base2.html" %}
{% load static %}

{% block scripts %}
    <script src="{% static 'ujian/main.js' %}" defer></script>
    <link rel="stylesheet" href="{% static 'ujian/home.css' %}">
{% endblock scripts %}

{% block title %}
Quiz Homapage
{% endblock title %}

{% block content %}

    <!-- Modal from bootstrap-->
    <div class="modal fade" id="quizStartModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Start Attempt?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="modal-body-confirm"></div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
            <button type="button" id="start-button" class="btn btn-success">Attempt Now</button>
            </div>
        </div>
        </div>
    </div>

    <div class="h2">Student's Quiz</div>
    <hr>

    <div class="list">
        <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Topic</th>
                        <th>Duration (minutes)</th>
                        <th>Total Questions</th>
                        <th>Attempt</th>
                    </tr>
                </thead>
                <tbody>
                    {% for q in object_list %}
                        <tr>
                            <td data-label="Title">{{q.name}}</td>
                            <td data-label="Topic">{{q.topic}}</td>
                            <td data-label="Duration (minutes)">{{q.time}}</td>
                            <td data-label="Total Questions">{{q.number_of_questions}}</td>
                            <td data-label="Attempt">
                                <button
                                    class="btn btn-link modal-button"
                                    data-pk="{{q.pk}}"
                                    data-quiz="{{q.name}}"
                                    data-topic="{{q.topic}}"
                                    data-questions="{{q.number_of_questions}}"
                                    data-time="{{q.time}}"
                                    data-pass="{{q.required_score_to_pass}}"
                                    data-toggle="modal"
                                    data-target="#quizStartModal">
                                    Start Attempt
                                </button>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock content %}